io.etcd.jetcd.api

## Class RangeResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<RangeResponse.Builder>
      - - io.etcd.jetcd.api.RangeResponse.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, RangeResponseOrBuilder, Cloneable

Enclosing class:
  RangeResponse

    public static final class RangeResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<RangeResponse.Builder>
    implements RangeResponseOrBuilder

Protobuf type `etcdserverpb.RangeResponse`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`RangeResponse.Builder` `addAllKvs(Iterable<? extends KeyValue> values)` kvs is the list of key-value pairs matched by the range request.
`RangeResponse.Builder` `addKvs(int index, KeyValue.Builder builderForValue)` kvs is the list of key-value pairs matched by the range request.
`RangeResponse.Builder` `addKvs(int index, KeyValue value)` kvs is the list of key-value pairs matched by the range request.
`RangeResponse.Builder` `addKvs(KeyValue.Builder builderForValue)` kvs is the list of key-value pairs matched by the range request.
`RangeResponse.Builder` `addKvs(KeyValue value)` kvs is the list of key-value pairs matched by the range request.
`KeyValue.Builder` `addKvsBuilder()` kvs is the list of key-value pairs matched by the range request.
`KeyValue.Builder` `addKvsBuilder(int index)` kvs is the list of key-value pairs matched by the range request.
`RangeResponse.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`RangeResponse` `build()`
`RangeResponse` `buildPartial()`
`RangeResponse.Builder` `clear()`
`RangeResponse.Builder` `clearCount()` count is set to the number of keys within the range when requested.
`RangeResponse.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`RangeResponse.Builder` `clearHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`RangeResponse.Builder` `clearKvs()` kvs is the list of key-value pairs matched by the range request.
`RangeResponse.Builder` `clearMore()` more indicates if there are more keys to return in the requested range.
`RangeResponse.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`RangeResponse.Builder` `clone()`
`long` `getCount()` count is set to the number of keys within the range when requested.
`RangeResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeader.Builder` `getHeaderBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`KeyValue` `getKvs(int index)` kvs is the list of key-value pairs matched by the range request.
`KeyValue.Builder` `getKvsBuilder(int index)` kvs is the list of key-value pairs matched by the range request.
`List<KeyValue.Builder>` `getKvsBuilderList()` kvs is the list of key-value pairs matched by the range request.
`int` `getKvsCount()` kvs is the list of key-value pairs matched by the range request.
`List<KeyValue>` `getKvsList()` kvs is the list of key-value pairs matched by the range request.
`KeyValueOrBuilder` `getKvsOrBuilder(int index)` kvs is the list of key-value pairs matched by the range request.
`List<? extends KeyValueOrBuilder>` `getKvsOrBuilderList()` kvs is the list of key-value pairs matched by the range request.
`boolean` `getMore()` more indicates if there are more keys to return in the requested range.
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`RangeResponse.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`RangeResponse.Builder` `mergeFrom(com.google.protobuf.Message other)`
`RangeResponse.Builder` `mergeFrom(RangeResponse other)`
`RangeResponse.Builder` `mergeHeader(ResponseHeader value)` `.etcdserverpb.ResponseHeader header = 1;`
`RangeResponse.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`RangeResponse.Builder` `removeKvs(int index)` kvs is the list of key-value pairs matched by the range request.
`RangeResponse.Builder` `setCount(long value)` count is set to the number of keys within the range when requested.
`RangeResponse.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`RangeResponse.Builder` `setHeader(ResponseHeader.Builder builderForValue)` `.etcdserverpb.ResponseHeader header = 1;`
`RangeResponse.Builder` `setHeader(ResponseHeader value)` `.etcdserverpb.ResponseHeader header = 1;`
`RangeResponse.Builder` `setKvs(int index, KeyValue.Builder builderForValue)` kvs is the list of key-value pairs matched by the range request.
`RangeResponse.Builder` `setKvs(int index, KeyValue value)` kvs is the list of key-value pairs matched by the range request.
`RangeResponse.Builder` `setMore(boolean value)` more indicates if there are more keys to return in the requested range.
`RangeResponse.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`RangeResponse.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeResponse.Builder>`

#### clear

    public RangeResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeResponse.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeResponse.Builder>`

#### getDefaultInstanceForType

    public RangeResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public RangeResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public RangeResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public RangeResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeResponse.Builder>`

#### setField

    public RangeResponse.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                          Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeResponse.Builder>`

#### clearField

    public RangeResponse.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeResponse.Builder>`

#### clearOneof

    public RangeResponse.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeResponse.Builder>`

#### setRepeatedField

    public RangeResponse.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                  int index,
                                                  Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeResponse.Builder>`

#### addRepeatedField

    public RangeResponse.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                  Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeResponse.Builder>`

#### mergeFrom

    public RangeResponse.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<RangeResponse.Builder>`

#### mergeFrom

    public RangeResponse.Builder mergeFrom(RangeResponse other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeResponse.Builder>`

#### mergeFrom

    public RangeResponse.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                    throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<RangeResponse.Builder>`
Throws:
  `IOException`

#### hasHeader

    public boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `hasHeader` in interface `RangeResponseOrBuilder`
Returns:
  Whether the header field is set.

#### getHeader

    public ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeader` in interface `RangeResponseOrBuilder`
Returns:
  The header.

#### setHeader

    public RangeResponse.Builder setHeader(ResponseHeader value)

`.etcdserverpb.ResponseHeader header = 1;`

#### setHeader

    public RangeResponse.Builder setHeader(ResponseHeader.Builder builderForValue)

`.etcdserverpb.ResponseHeader header = 1;`

#### mergeHeader

    public RangeResponse.Builder mergeHeader(ResponseHeader value)

`.etcdserverpb.ResponseHeader header = 1;`

#### clearHeader

    public RangeResponse.Builder clearHeader()

`.etcdserverpb.ResponseHeader header = 1;`

#### getHeaderBuilder

    public ResponseHeader.Builder getHeaderBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

#### getHeaderOrBuilder

    public ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeaderOrBuilder` in interface `RangeResponseOrBuilder`

#### getKvsList

    public List<KeyValue> getKvsList()

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

Specified by:
  `getKvsList` in interface `RangeResponseOrBuilder`

#### getKvsCount

    public int getKvsCount()

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

Specified by:
  `getKvsCount` in interface `RangeResponseOrBuilder`

#### getKvs

    public KeyValue getKvs(int index)

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

Specified by:
  `getKvs` in interface `RangeResponseOrBuilder`

#### setKvs

    public RangeResponse.Builder setKvs(int index,
                                        KeyValue value)

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

#### setKvs

    public RangeResponse.Builder setKvs(int index,
                                        KeyValue.Builder builderForValue)

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

#### addKvs

    public RangeResponse.Builder addKvs(KeyValue value)

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

#### addKvs

    public RangeResponse.Builder addKvs(int index,
                                        KeyValue value)

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

#### addKvs

    public RangeResponse.Builder addKvs(KeyValue.Builder builderForValue)

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

#### addKvs

    public RangeResponse.Builder addKvs(int index,
                                        KeyValue.Builder builderForValue)

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

#### addAllKvs

    public RangeResponse.Builder addAllKvs(Iterable<? extends KeyValue> values)

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

#### clearKvs

    public RangeResponse.Builder clearKvs()

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

#### removeKvs

    public RangeResponse.Builder removeKvs(int index)

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

#### getKvsBuilder

    public KeyValue.Builder getKvsBuilder(int index)

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

#### getKvsOrBuilder

    public KeyValueOrBuilder getKvsOrBuilder(int index)

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

Specified by:
  `getKvsOrBuilder` in interface `RangeResponseOrBuilder`

#### getKvsOrBuilderList

    public List<? extends KeyValueOrBuilder> getKvsOrBuilderList()

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

Specified by:
  `getKvsOrBuilderList` in interface `RangeResponseOrBuilder`

#### addKvsBuilder

    public KeyValue.Builder addKvsBuilder()

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

#### addKvsBuilder

    public KeyValue.Builder addKvsBuilder(int index)

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

#### getKvsBuilderList

    public List<KeyValue.Builder> getKvsBuilderList()

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

#### getMore

    public boolean getMore()

     more indicates if there are more keys to return in the requested range.

`bool more = 3;`

Specified by:
  `getMore` in interface `RangeResponseOrBuilder`
Returns:
  The more.

#### setMore

    public RangeResponse.Builder setMore(boolean value)

     more indicates if there are more keys to return in the requested range.

`bool more = 3;`

Parameters:
  `value` - The more to set.
Returns:
  This builder for chaining.

#### clearMore

    public RangeResponse.Builder clearMore()

     more indicates if there are more keys to return in the requested range.

`bool more = 3;`

Returns:
  This builder for chaining.

#### getCount

    public long getCount()

     count is set to the number of keys within the range when requested.

`int64 count = 4;`

Specified by:
  `getCount` in interface `RangeResponseOrBuilder`
Returns:
  The count.

#### setCount

    public RangeResponse.Builder setCount(long value)

     count is set to the number of keys within the range when requested.

`int64 count = 4;`

Parameters:
  `value` - The count to set.
Returns:
  This builder for chaining.

#### clearCount

    public RangeResponse.Builder clearCount()

     count is set to the number of keys within the range when requested.

`int64 count = 4;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final RangeResponse.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeResponse.Builder>`

#### mergeUnknownFields

    public final RangeResponse.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<RangeResponse.Builder>`